System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeReturnReader

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard. The class implements the client-side reading of XML documents into Web method return values. The XML documents are encoded in the body of HTTP responses.

You typically will not need to use directly. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, it applies the to each Web method and sets the attribute's property to .

Reads return values from XML that is encoded in the body of incoming responses for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  An initializer is an object passed as a parameter to the Initialize method. For the class, the initializer is an object for the return type of the Web method.

  The method is invoked during service initialization. Later, at the time a response is processed, the initializer object is passed to the method of another instance. The other instance performs the actual reading.

  Returns an initializer for the specified method.

  An initializer for the specified method.

  A that specifies the Web method for which the initializer is obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Object[] ``

  An initializer is an object passed as a parameter to the Initialize method. For the class, the initializer is an object for the return type of the Web method.

  The method is invoked during service initialization. Later, at the time a response is processed, the initializer object for each Web method is passed to the method of another instance. The other instance performs the actual reading.

  Returns an array of initializer objects corresponding to an input array of method definitions.

  An array of initializer objects corresponding to an input array of method definitions.

  An array of type that specifies the Web methods for which the initializers are obtained. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method supplies the object used by the method to deserialize an XML document contained in the HTTP response.

  The method is invoked at the time a request is processed. The input parameter, , is obtained by calling the or method on another instance during client initialization.

  Initializes an instance.

  An for the return type of the Web method being invoked. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` ``

  To deserialize the XML content of the HTTP response, the class's implementation of the method uses the object passed as an argument to the method. It throws an exception if the HTTP response's MIME content type is not text/xml. The method closes the response before returning the deserialized Web method return value.

  Gets a return value deserialized from an XML document contained in the HTTP response.

  A return value deserialized from an XML document contained in the HTTP response.

  An object containing the output message for an operation. A whose content is the body of the HTTP response represented by the parameter. 1.0.5000.0 2.0.0.0